/*
Copyright (c) 1999 Rafal Wojtczuk <nergal@icm.edu.pl>. All rights reserved.
See the file COPYING for license details.
*/

#include "util.h"
#include <stdio.h>
#include <malloc.h>
void 
mem_low ()
{
  fprintf (stderr, "Out of memory.\n");
  exit (1);
}

char *
test_malloc (int x)
{
  char *ret = malloc (x);
  if (!ret)
    mem_low ();
  return ret;
}
inline int 
before (unsigned int seq1, unsigned int seq2)
{
  return (int) (seq1 - seq2) < 0;
}

inline int 
after (unsigned int seq1, unsigned int seq2)
{
  return (int) (seq2 - seq1) < 0;
}
